C
C	Character*(*) functions used to extract information
C	from AUTOGEN file records (currently MODPARAMS.DAT)
C
 	Character*(MPRO)	AGN_EXT_product
	Character*(MPAR)	AGN_EXT_param
	Character*(MTYP)	AGN_EXT_type
	Character*(MCPU)	AGN_EXT_cputyp
	Character*(MVAL)	AGN_EXT_value
	Character*(MDIS)	AGN_EXT_disabled
	Character*(MDEV)	AGN_EXT_device
	Character*(MREC)	s
C
C	The following functions defined extraction from the AUTOGEN
C	file VMSPARAMS.DAT record. I hope this file will be used later.
C	AGN_EXT_product(s) 	= s(OPRO:OPRO+MPRO-1)
C	AGN_EXT_param(s)	= s(OPAR:OPAR+MPAR-1)
C	AGN_EXT_type(s)		= s(OTYP:OTYP+MTYP-1)
C	AGN_EXT_cputyp(s)	= s(OCPU:OCPU+MCPU-1)
C	AGN_EXT_disabled(s)	= s(ODIS:ODIS+MDIS-1)
C	AGN_EXT_VALue(s)	= s(OVAL:OVAL+MVAL-1)
C	AGN_EXT_device(s)	= s(ODEV:ODEV+MDEV-1)
C
C	The equivalent functions for MODPARAMS are defined
C	by the module  AGN_EXT
